package cn.iocoder.yudao.module.mes.dal.mysql.changerecord;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.changerecord.ProduceReportChangeRecordDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.mes.controller.admin.changerecord.vo.*;

/**
 * 报工变更记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface ProduceReportChangeRecordMapper extends BaseMapperX<ProduceReportChangeRecordDO> {

    default PageResult<ProduceReportChangeRecordDO> selectPage(ProduceReportChangeRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ProduceReportChangeRecordDO>()
                .eqIfPresent(ProduceReportChangeRecordDO::getReportId, reqVO.getReportId())
                .eqIfPresent(ProduceReportChangeRecordDO::getChangeType, reqVO.getChangeType())
                .eqIfPresent(ProduceReportChangeRecordDO::getBeforeChange, reqVO.getBeforeChange())
                .eqIfPresent(ProduceReportChangeRecordDO::getAfterChange, reqVO.getAfterChange())
                .betweenIfPresent(ProduceReportChangeRecordDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ProduceReportChangeRecordDO::getId));
    }

}